diff --git a/psycopg/connection_int.c b/psycopg/connection_int.c
index 3ea5ca32..61d169a9 100644
--- a/psycopg/connection_int.c
+++ b/psycopg/connection_int.c
@@ -1256,7 +1256,7 @@ conn_set_session(connectionObject *self, int autocommit,
                 goto endlock;
             }
         }
-        if (self->deferrable != STATE_DEFAULT) {
+        if (self->server_version >= 90100 && self->deferrable != STATE_DEFAULT) {
             if (0 > pq_set_guc_locked(self,
                     "default_transaction_deferrable", "default",
                     &pgres, &error, &_save)) {
